import bcrypt from "bcryptjs";
export const checkPassword = async (
  currentPassword: string,
  dbPassword: string
) => {
  let decyptPass = "";
  try {
    decyptPass = atob(dbPassword);
  } catch (error) {
    console.log(error);
  }
  // encypt password
  const pass: string | undefined = process.env.SECRET;

  const checked = bcrypt.compareSync(pass + currentPassword, decyptPass);

  return checked;
};
